Bug 218799

Summary: Mesa 17.0.4 update and re-organization
Product: Ports & Packages Reporter: Matthew Rezny <rezny>
Component: Ports FrameworkAssignee: Port Management Team <portmgr>
Status: Closed FIXED    
Severity: Affects Many People CC: ports-bugs, swills
Priority: --- Keywords: patch
Version: LatestFlags: rezny: exp-run?
Hardware: Any   
OS: Any   
URL: https://reviews.freebsd.org/D10448
Bug Depends on:    
Bug Blocks: 212762, 218552, 218562    
Attachments:
Description Flags
D10448
none
svn diff --show-copies-as-adds
none
updated svn diff none

Description Matthew Rezny freebsd_committer 2017-04-21 18:55:19 UTC
Created attachment 181984 [details]
D10448

The update and re-organization of Mesa in D10448 requires an exp-run.
Comment 1 Antoine Brodin freebsd_committer 2017-05-02 06:11:53 UTC
Can you provide a patch than can be applied ?   (svn diff --show-copies-as-adds for instance)
Comment 2 Matthew Rezny freebsd_committer 2017-05-02 11:50:56 UTC
Created attachment 182242 [details]
svn diff --show-copies-as-adds

I have refreshed the review due to changes in MOVED and replaced the patch from phabricator with the requested svn diff. Is there a problem with diffs from phabricator in general, or was the problem just conflicts in MOVED?
Comment 3 Antoine Brodin freebsd_committer 2017-05-02 13:46:29 UTC
Exp-run fails to start :

[00:02:47] ====>> Error: science/iboview depends on nonexistent origin 'graphics/libGL'
Comment 4 Matthew Rezny freebsd_committer 2017-05-02 14:15:16 UTC
Created attachment 182245 [details]
updated svn diff

science/iboview was just added today so it was not found in previous checks for ports directly referencing libGL. It is an error in that port not to use USE_GL=gl glu, which I have now corrected.
Comment 5 commit-hook freebsd_committer 2017-05-12 18:47:26 UTC
A commit references this bug:

Author: rezny
Date: Fri May 12 18:46:56 UTC 2017
New revision: 440699
URL: https://svnweb.freebsd.org/changeset/ports/440699

Log:
  Consolidate the Mesa ports, update to 17.0.4, and add Wayland option

  * libGL, libEGL, libglesv2, libglapi, and gbm have been moved into mesa-libs,
    graphics/dri has been renamed to mesa-dri, and USE_GL has been adjusted
  * mesa-libs has a new WAYLAND option that enables platform support in libEGL
  * mesa-dri now depends on graphics/s2tc for compressed texture support [1]
  * re-remove obsolete dependency on makedepends [2]
  * correct sed fix backported from 17.1 [3]

  PR:		218799 (exp-run), 212762 [1], 218552 [2], 218562 [3]
  Submitted by:	dbn [1], jbeich [2,3]
  Reported by:	afiskon@devzen.ru [1]
  Reviewed by:	kwm, johalun0@gmail.com
  Approved by:	portmgr, swills (mentor)
  Differential Revision:  https://reviews.freebsd.org/D10448

Changes:
  head/MOVED
  head/Mk/Scripts/qa.sh
  head/Mk/bsd.port.mk
  head/Mk/bsd.xorg.mk
  head/emulators/i386-wine/Makefile.i386
  head/emulators/i386-wine-devel/Makefile.i386
  head/graphics/Makefile
  head/graphics/copperspice/Makefile
  head/graphics/dri/
  head/graphics/gbm/
  head/graphics/libEGL/
  head/graphics/libGL/
  head/graphics/libglapi/
  head/graphics/libglesv2/
  head/graphics/libosmesa/Makefile
  head/graphics/mesa-dri/
  head/graphics/mesa-dri/Makefile
  head/graphics/mesa-dri/Makefile.common
  head/graphics/mesa-dri/Makefile.targets
  head/graphics/mesa-dri/distinfo
  head/graphics/mesa-dri/files/
  head/graphics/mesa-dri/files/configure.ac
  head/graphics/mesa-dri/files/patch-configure
  head/graphics/mesa-dri/files/patch-src_gallium_state__trackers_clover_llvm_invocation.cpp
  head/graphics/mesa-dri/pkg-descr
  head/graphics/mesa-libs/
  head/graphics/mesa-libs/Makefile
  head/graphics/mesa-libs/Makefile.common
  head/graphics/mesa-libs/Makefile.targets
  head/graphics/mesa-libs/distinfo
  head/graphics/mesa-libs/files/
  head/graphics/mesa-libs/pkg-descr
  head/graphics/mesa-libs/pkg-plist
  head/graphics/s2tc/Makefile
  head/graphics/wayland/Makefile
  head/graphics/wayland/distinfo
  head/graphics/wayland/files/patch-Makefile.am
  head/graphics/wayland/files/patch-src_wayland-server.c
  head/graphics/wayland/files/patch-src_wayland-shm.c
  head/graphics/wayland/files/patch-tests_connection-test.c
  head/graphics/wayland/files/patch-tests_event-loop-test.c
  head/graphics/wayland/files/patch-tests_os-wrappers-test.c
  head/graphics/wayland/files/patch-tests_queue-test.c
  head/graphics/wayland/files/patch-tests_test-runner.c
  head/lang/clover/Makefile
  head/lang/clover/pkg-descr
  head/lang/clover/pkg-plist
  head/net/tigervnc/Makefile
  head/net/tigervnc-devel/Makefile
  head/science/iboview/Makefile
  head/x11/xorg/Makefile
  head/x11-toolkits/gtkada3/Makefile